#
# spec file for package ghc-packcheck
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name packcheck
Name:           ghc-%{pkg_name}
Version:        0.4.1
Release:        1.6
Summary:        Universal build and CI testing for Haskell packages
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
This package contains a universal CI/build script 'packcheck.sh' and config
files designed such that you can just copy over '.travis.yml', 'appveyor.yml'
or '.circleci/config.yml' to your package repo and your package is CI ready in
a jiffy. For local testing, copy 'packcheck.sh' to your local machine, put it
in your PATH, and run it from your package directory:

> $ packcheck.sh cabal-new > $ packcheck.sh cabal > $ packcheck.sh stack

You can try it on this package itself. 'packcheck.sh' uniformly, consistently
builds and comprehensively sanity tests a Haskell package across build tools
(stack/cabal) and across all platforms (Linux/MacOS/Windows). You do not need
to be familiar with any of the build tools to use it.

This is also a minimal yet complete model package (with tests, benchmarks, CI
already working) that can be used as a starting point to develop a new package.
Beginners can use it to learn about haskell package metadata structure,
benchmarks, tests, CI configs etc.

See the README for comprehensive documentation.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
echo > Setup.hs 'import Distribution.Simple'
echo >>Setup.hs 'main = defaultMain'

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc Changelog.md README.md

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add packcheck at version 0.4.1.
